module SnowAgent
  class Agent
    def initialize(configuration)
      strategy_class = SyncStrategy
      @strategy      = strategy_class.new(configuration)
    end

    Metric = Struct.new(:name, :value, :kind, :context, :at)

    def metric(key, value, kind = nil, context = nil, time = Time.now.to_i)
      @strategy.metric(Metric.new(key, value, kind, context, time))
    end
  end
end
